interface LoaderConfig {
    cycleDuration?: number;
    delay?: number;
}
export default class Loader {
    element: HTMLElement;
    config: LoaderConfig;
    interval: number | null;
    delay: number | null;
    currentMessageIndex: number;
    messages: string[];
    constructor(element: HTMLElement, config?: LoaderConfig);
    initBody(): void;
    init(): void;
    destroy(): void;
    cycleMessages(): void;
    static getInstance(el: HTMLElement): Loader | null;
}
export {};
